[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# Tcompressionstream.get_compressionrate

Get the current compression rate

## Declaration

Source position: zstream.pp line 65

`public function Tcompressionstream.get_compressionrate: single;`

## Function result

Percentage of compression

## Description

get_compressionrate returns the percentage of the number of written compressed bytes relative to the number of written bytes.

## Errors

If no bytes were written, an exception is raised.

Documentation generated on: Feb 26 2014